--- old/usr/src/uts/common/os/main.c	2013-09-25 09:16:17.042312340 +0000
+++ new/usr/src/uts/common/os/main.c	2013-09-25 09:16:17.052012977 +0000
@@ -87,6 +87,7 @@
 proc_t *proc_init;		/* init */
 proc_t *proc_pageout;		/* pageout daemon */
 proc_t *proc_fsflush;		/* fsflush daemon */
+proc_t *proc_intrd;		/* interrupt daemon */
 
 pgcnt_t	maxmem;		/* Maximum available memory in pages.	*/
 pgcnt_t	freemem;	/* Current available memory in pages.	*/
@@ -363,6 +364,7 @@
 	int		(**initptr)();
 	extern void	sched();
 	extern void	fsflush();
+	extern void	interrupt_balancer();
 	extern int	(*init_tbl[])();
 	extern int	(*mp_init_tbl[])();
 	extern id_t	syscid, defaultcid;
@@ -622,6 +624,10 @@
 	    FAMOUS_PID_FSFLUSH))
 		panic("main: unable to fork fsflush()");
 
+	/* create interrupt balancer process */
+	if (newproc(interrupt_balancer, NULL, syscid, minclsyspri, NULL, 0))
+		panic("main: unable to fork interrupt_balancer()");
+
 	/* create cluster process if we're a member of one */
 	if (cluster_bootflags & CLUSTER_BOOTED) {
 		if (newproc(cluster_wrapper, NULL, syscid, minclsyspri,
